Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ProtegeSlotListener

All Superinterfaces:
  EventListener, edu.stanford.smi.protege.event.SlotListener

All Known Subinterfaces:
  PropertyListener

All Known Implementing Classes:
  PropertyAdapter

    public interface ProtegeSlotListener

extends edu.stanford.smi.protege.event.SlotListener

An interface that wraps the core Protege SlotListener to declare those methods deprecated that should not be used with OWL.

Author:
  Holger Knublauch

Method Summary
`void` | `directSubslotAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSubslotMoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated. not supported in OWL
`void` | `directSubslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSuperslotAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSuperslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `templateSlotClsAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `templateSlotClsRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.

Method Detail

### templateSlotClsAdded

    void templateSlotClsAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `templateSlotClsAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.unionDomainClassAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### templateSlotClsRemoved

    void templateSlotClsRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `templateSlotClsRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.unionDomainClassRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSubslotAdded

    void directSubslotAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSubslotAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.subpropertyAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSubslotRemoved

    void directSubslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSubslotRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.subpropertyRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSubslotMoved

    void directSubslotMoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated. not supported in OWL

  Specified by:
    `directSubslotMoved` in interface `edu.stanford.smi.protege.event.SlotListener`

### directSuperslotAdded

    void directSuperslotAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSuperslotAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.superpropertyAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSuperslotRemoved

    void directSuperslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSuperslotRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  See Also:
    `PropertyListener.superpropertyRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.